## python-picologging 0.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4...3.22)

option(COVERAGE "Enable coverage reporting" OFF)
option(CACHE_FILEPATH "Enable cache filepath" ON)
project(picologging)

find_package(PythonExtensions REQUIRED)

add_library(_picologging MODULE src/picologging/_picologging.cxx src/picologging/logrecord.cxx src/picologging/formatstyle.cxx src/picologging/formatter.cxx src/picologging/logger.cxx src/picologging/handler.cxx src/picologging/filterer.cxx  src/picologging/streamhandler.cxx src/picologging/filepathcache.cxx)

if (MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /std:c++latest")
else()
    set_target_properties(_picologging PROPERTIES CXX_STANDARD 17)
endif (MSVC)

if (CACHE_FILEPATH)
    add_definitions(-DPICOLOGGING_CACHE_FILEPATH)
endif (CACHE_FILEPATH)

if(COVERAGE)
    message(STATUS "Enabling coverage")
    # Add required flags (GCC & LLVM/Clang)
    if (CMAKE_CXX_COMPILER_ID MATCHES "GNU")
        target_compile_options(_picologging PRIVATE
                -O0        # no optimization
                -g         # generate debug info
                --coverage # sets all required flags
                -fprofile-abs-path
                )
        target_link_options(_picologging PRIVATE --coverage)
    elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
        target_compile_options(_picologging PRIVATE
                -O0        # no optimization
                -g         # generate debug info
                -fprofile-instr-generate -fcoverage-mapping # coverage flags
                )
        target_link_options(_picologging PRIVATE --coverage)
    endif()
endif(COVERAGE)

if(FUZZING)
    target_compile_options(_picologging PRIVATE -fsanitize=address,fuzzer)
    target_link_options(_picologging PRIVATE -fsanitize=address,fuzzer)
endif(FUZZING)

python_extension_module(_picologging)
install(TARGETS _picologging LIBRARY DESTINATION src/picologging)

=== tests/memray/Makefile ===
profiles:
	mkdir -p .profiles
	PYTHONMALLOC=malloc memray run --trace-python-allocators -o .profiles/memray_logrecord.py.bin -f --native memray_logrecord.py
	PYTHONMALLOC=malloc memray run --trace-python-allocators -o .profiles/memray_format_exception.py.bin -f --native memray_format_exception.py
	PYTHONMALLOC=malloc memray run --trace-python-allocators -o .profiles/memray_logger.py.bin -f --native memray_logger.py
	PYTHONMALLOC=malloc memray run --trace-python-allocators -o .profiles/memray_litestar.py.bin -f --native memray_litestar.py
	memray flamegraph --leaks -f .profiles/memray_logrecord.py.bin
	memray flamegraph --leaks -f .profiles/memray_format_exception.py.bin
	memray flamegraph --leaks -f .profiles/memray_logger.py.bin
	memray flamegraph --leaks -f .profiles/memray_litestar.py.bin
	python -m http.server --directory .profiles 8000

clean:
	rm -rf .profiles

snapshot:
	cp -R .profiles .profiles-snapshot

=== debian/changelog ===
python-picologging (0.9.4-3build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:26:49 +0000

python-picologging (0.9.4-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:08:48 +0000

python-picologging (0.9.4-3) unstable; urgency=medium

  * Team upload.

  [ Carsten Schoenert ]
  * [309ee54] d/control: Simplify B-D to libpython3-all-dev

  [ Stefano Rivera ]
  * [1188c85] Clean correctly.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Jan 2025 14:09:13 -0400

python-picologging (0.9.4-2) unstable; urgency=medium

  * [e04fdcc] Add patches from patch-queue branch
    Added patches:
    Add-some-compat-aliases-for-changes-in-the-API.patch
    Patch-other-changed-APIs-for-pytime.patch
    (Closes: #1089051)
  * [d4b9f97] d/control: Add libpython3.*-dev as B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Dec 2024 18:36:59 +0200

python-picologging (0.9.4-1) unstable; urgency=medium

  * [3c7fa26] New upstream version 0.9.4
  * [9444a94] d/control: d/control: Drop distinction of B-D and B-D-I packages
  * [03c845d] d/salsa-ci.yml: Adding build pipeline on Salsa

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Oct 2024 08:48:21 +0100

python-picologging (0.9.3-1) unstable; urgency=medium

  * [6576c19] New upstream version 0.9.3
  * [d035388] First and initial Debianization
    (Closes: #1077755)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Aug 2024 23:12:02 +0900

=== debian/control ===
Source: python-picologging
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo <!nodoc>,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-skbuild,
 python3-sphinx <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/microsoft/picologging
Vcs-Git: https://salsa.debian.org/python-team/packages/python-picologging.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-picologging
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-picologging-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Fast and lightweight Python logging library (Documentation)
 Picologging is a high-performance logging library for Python, it's about
 4-10x faster than the logging module in the standard library.
 .
 Picologging is designed to be used as a drop-in replacement for applications
 which already use logging, and supports the same API as the logging module.
 .
 This package contains the documentation for python3-picologging.

Package: python3-picologging
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-picologging-doc,
Description: Fast and lightweight Python logging library (Python 3)
 Picologging is a high-performance logging library for Python, it's about
 4-10x faster than the logging module in the standard library.
 .
 Picologging is designed to be used as a drop-in replacement for applications
 which already use logging, and supports the same API as the logging module.
 .
 This package contains the Python 3 version.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/microsoft/picologging.git \
      refs/tags/@ANY_VERSION@
